Subject: Re: R: TSP: Response to the comments raised by Russ Housley

From: Peter Sylvester <[email-masked]>
Date: Mon, 9 Oct 2000 10:46:37 +0200 (MET DST)

> 
> Is it really useful to tell apart requests vs. responses? From the TSP
> server viewpoint, an incoming message is supposed to be a request and it
> will be processed based on that obvious assumption. So the single
> content-type "application/timestamp" should suffice, IMO. As to file
> extensions, I think it's pretty irrilevant; however, as the response is a
> CMS SignedData message, I presume ".P7M" would be a proper file extension
> for it. As to the request...I do not know; why not ".TSR" ?

The response is NOT a CMS signeddata. The time stamp token, which
is embedded in the response is a CMS signeddata.